edu.sc.seis.sod.process.waveform

## Class RecordSectionSpacer

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.RecordSectionSpacer

-     public class RecordSectionSpacer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `PERCENT_COVERAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordSectionSpacer()`
    `RecordSectionSpacer(edu.sc.seis.sod.process.waveform.RSDistanceRange range)`
    `RecordSectionSpacer(edu.sc.seis.sod.process.waveform.RSDistanceRange range, int idealSeismograms, int maximumSeismogram)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected edu.sc.seis.fissuresUtil.xml.DataSetSeismogram` | `bestFromBin(java.util.List<edu.sc.seis.fissuresUtil.xml.DataSetSeismogram> distBin, double nextSlot, java.util.Map<edu.sc.seis.fissuresUtil.xml.DataSetSeismogram,edu.iris.Fissures.model.QuantityImpl> dists)`
    `protected RecordSectionItem` | `bestFromBin(java.util.List<RecordSectionItem> distBin, double nextSlot)`
    `protected double` | `calcScore(edu.sc.seis.fissuresUtil.xml.DataSetSeismogram dss, edu.iris.Fissures.model.QuantityImpl dist, double nextSlot)`
    `protected double` | `calcScore(double dist, double sToN, double nextSlot)`
    `protected double` | `calcScore(RecordSectionItem rsi, double nextSlot)`
    `double` | `getIdealDegreesBetweenSeis()`
    `double` | `getMinimumDegreesBetweenSeis()`
    `java.util.List<RecordSectionItem>` | `spaceOut(java.util.List<RecordSectionItem> recordSectionList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PERCENT_COVERAGE

          protected java.lang.String PERCENT_COVERAGE

  - ### Constructor Detail

    - #### RecordSectionSpacer

          public RecordSectionSpacer()

    - #### RecordSectionSpacer

          public RecordSectionSpacer(edu.sc.seis.sod.process.waveform.RSDistanceRange range)

    - #### RecordSectionSpacer

          public RecordSectionSpacer(edu.sc.seis.sod.process.waveform.RSDistanceRange range,
                                     int idealSeismograms,
                                     int maximumSeismogram)

  - ### Method Detail

    - #### spaceOut

          public java.util.List<RecordSectionItem> spaceOut(java.util.List<RecordSectionItem> recordSectionList)

    - #### getMinimumDegreesBetweenSeis

          public double getMinimumDegreesBetweenSeis()

    - #### getIdealDegreesBetweenSeis

          public double getIdealDegreesBetweenSeis()

    - #### bestFromBin

          protected RecordSectionItem bestFromBin(java.util.List<RecordSectionItem> distBin,
                                                  double nextSlot)

    - #### bestFromBin

          protected edu.sc.seis.fissuresUtil.xml.DataSetSeismogram bestFromBin(java.util.List<edu.sc.seis.fissuresUtil.xml.DataSetSeismogram> distBin,
                                                                               double nextSlot,
                                                                               java.util.Map<edu.sc.seis.fissuresUtil.xml.DataSetSeismogram,edu.iris.Fissures.model.QuantityImpl> dists)

    - #### calcScore

          protected double calcScore(RecordSectionItem rsi,
                                     double nextSlot)

    - #### calcScore

          protected double calcScore(edu.sc.seis.fissuresUtil.xml.DataSetSeismogram dss,
                                     edu.iris.Fissures.model.QuantityImpl dist,
                                     double nextSlot)

    - #### calcScore

          protected double calcScore(double dist,
                                     double sToN,
                                     double nextSlot)